#
# spec file for package perl-Catalyst-Devel
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Catalyst-Devel
Version:        1.39
Release:        1.1
%define cpan_name Catalyst-Devel
Summary:        Catalyst Development Tools
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Catalyst-Devel/
Source:         http://www.cpan.org/authors/id/I/IL/ILMARI/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Catalyst) >= 5.90001
BuildRequires:  perl(Catalyst::Action::RenderView) >= 0.10
BuildRequires:  perl(Catalyst::Plugin::ConfigLoader) >= 0.30
BuildRequires:  perl(Catalyst::Plugin::Static::Simple) >= 0.28
BuildRequires:  perl(Config::General) >= 2.42
BuildRequires:  perl(File::ChangeNotify) >= 0.07
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(Module::Install) >= 1.02
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::Emulate::Class::Accessor::Fast)
BuildRequires:  perl(Path::Class) >= 0.09
BuildRequires:  perl(Template) >= 2.14
BuildRequires:  perl(Test::Fatal) >= 0.003
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(namespace::clean)
Requires:       perl(Catalyst) >= 5.90001
Requires:       perl(Catalyst::Action::RenderView) >= 0.10
Requires:       perl(Catalyst::Plugin::ConfigLoader) >= 0.30
Requires:       perl(Catalyst::Plugin::Static::Simple) >= 0.28
Requires:       perl(Config::General) >= 2.42
Requires:       perl(File::ChangeNotify) >= 0.07
Requires:       perl(File::Copy::Recursive)
Requires:       perl(File::ShareDir)
Requires:       perl(Module::Install) >= 1.02
Requires:       perl(Moose)
Requires:       perl(MooseX::Emulate::Class::Accessor::Fast)
Requires:       perl(Path::Class) >= 0.09
Requires:       perl(Template) >= 2.14
Requires:       perl(namespace::autoclean)
Requires:       perl(namespace::clean)
%{perl_requires}

%description
The 'Catalyst-Devel' distribution includes a variety of modules useful for
the development of Catalyst applications, but not required to run them.
This is intended to make it easier to deploy Catalyst apps. The runtime
parts of Catalyst are now known as 'Catalyst::Runtime'.

'Catalyst-Devel' includes the the Catalyst::Helper manpage system, which
autogenerates scripts and tests; the Module::Install::Catalyst manpage, a
the Module::Install manpage extension for Catalyst; and requirements for a
variety of development-related modules. The documentation remains with the
Catalyst::Runtime manpage.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Mon Feb 24 2014 coolo@suse.com
- updated to 1.39
  - Write =encoding utf8 into generated Pod files so that things
    work as expected for people with utf-8 characters in their unix
    username as returned by getpwuid (RT#84613)
  - Fix unbalanced parenthesis in comptest.tt (RT#85661)
  - Remove all PAR based deployment options, as they're unsupported
    and don't even pretend to work on 5.9 RT#83936
  - Add x_authority metadata to the distribution for PAUSE.
  - Fix restarter regex to apply to files being created/changed,
    not just those being deleted.
  - Use iomode => ":raw" to stop PNG files getting corrupted
    when being slurped on windows as noted on the mailing list.
* Thu Mar 31 2011 coolo@novell.com
- update to 1.33
  - Fix a regression introduced in 1.32 that caused Catalyst::Restarter
    to not work at all.
  - Fix RT#65907: missing build require: Test::Exception
  - Fix RT#57019: Fix bundling of File::Copy::Recursive in inc/
    by Module::Install::Catalyst
  - Fix for copying generated files into installed apps + tests
    to ensure it keeps working. abraxxa++
  - Make Pod tests author only
* Thu Mar 31 2011 coolo@novell.com
- initial package 1.33
  * created by cpanspec 1.78.03
* Wed Jan 19 2011 coolo@novell.com
- initial package 1.30
  * created by cpanspec 1.78.03
